/* ./firmware_eip207_ofpp.c */

/* -------------------------------------------------------------------------- */
/*                                                                            */
/*   Module        : firmware_eip197                                          */
/*   Version       : 3.5                                                      */
/*   Configuration : FIRMWARE-GENERIC                                         */
/*                                                                            */
/*   Date          : 2022-Dec-21                                              */
/*                                                                            */
/* Copyright (c) 2012-2022 by Rambus, Inc. and/or its subsidiaries.           */
/* All rights reserved. Unauthorized use (including, without limitation,      */
/* distribution and copying) is strictly prohibited. All use requires,        */
/* and is subject to, explicit written authorization and nondisclosure        */
/* agreements with Rambus, Inc. and/or its subsidiaries.                      */
/*                                                                            */
/* For more information or support, please go to our online support system at */
/* https://sipsupport.rambus.com.                                             */
/* In case you do not have an account for this system, please send an e-mail  */
/* to sipsupport@rambus.com.                                                  */
/* -------------------------------------------------------------------------- */


/*----------------------------------------------------------------------------
 * This module uses (requires) the following interface(s):
 */

#include "basic_defs.h"                          // uint32_t

/*----------------------------------------------------------------------------
 * This module implements (provides) the following interface(s):
 */

#include "firmware_eip207_api_dwld.h"     // the interfaces to implement

/*----------------------------------------------------------------------------
 * Definitions and macros
 */

#define FW_VERSION 0x350    /* major, minor, patch (one nibble each) */
#define FW_VERSION_MAJOR 3
#define FW_VERSION_MINOR 5
#define FW_VERSION_PATCH 0

static const uint32_t
FIRMWARE_EIP207_DWLD_OFPP_Image[] =
{
   0x39008000,
   0x24A08060,
   0x3A008000,
   0xC01F9FFF,
   0x60830378,
   0x10199481,
   0x600B0353,
   0xE0289440,
   0x60038353,
   0x0A400000,
   0x2300801C,
   0x27808020,
   0x2680800C,
   0xF03490C0,
   0x600B0353,
   0xE6339FCF,
   0x1A300A00,
   0x23808000,
   0x21808004,
   0x1C300000,
   0x13090A00,
   0x121D700C,
   0x12297501,
   0x0029E444,
   0x6003802B,
   0x0F100000,
   0x12291545,
   0x12226510,
   0x02291443,
   0x02297542,
   0x12291543,
   0x12224410,
   0xB1101FE0,
   0xE11A4A80,
   0xA0179F20,
   0x600D8026,
   0x12214438,
   0x122A4010,
   0x022DB00E,
   0x6083002B,
   0x13394803,
   0x033D140C,
   0x03324800,
   0x0E300000,
   0x1CCD1A8E,
   0x01FA1010,
   0x01193004,
   0x1CC10A80,
   0x77E00298,
   0x804782F9,
   0x00478047,
   0x02F982F9,
   0x02F982F9,
   0x02F982F9,
   0x02F982F9,
   0x02F982F9,
   0x02F982F9,
   0x02F982F9,
   0x02F982F9,
   0x02F982F9,
   0x02F982F9,
   0x02F982F9,
   0x02F982F9,
   0x02F982F9,
   0x02F982F9,
   0x02F982F9,
   0x02F982F9,
   0x02F982F9,
   0x02F982F9,
   0x82F98047,
   0x04C00808,
   0x777002B0,
   0x02BF02AF,
   0x82BF00F3,
   0x80A400CE,
   0x022C005E,
   0x02BF01EB,
   0x820202BF,
   0x02950167,
   0x02110276,
   0x02950285,
   0x02110276,
   0x82BF0285,
   0x02BF012D,
   0x00B200CE,
   0x02510073,
   0x02BF01EB,
   0x820202BF,
   0x82BF0191,
   0x82BF02BF,
   0x82BF02BF,
   0x82BF02BF,
   0x005E02BF,
   0x82BF0167,
   0x21808008,
   0x2709800C,
   0xA2EC0026,
   0x38327000,
   0xE60B083F,
   0x38317000,
   0x12700A88,
   0x17C00A80,
   0x39B77000,
   0x38327000,
   0x11600488,
   0x11190011,
   0x38317000,
   0x38BC7000,
   0x31D8000C,
   0x43803064,
   0x1149600C,
   0x11166028,
   0x11190011,
   0x608082CC,
   0x38317000,
   0x21808008,
   0x2709800C,
   0x25808060,
   0xA2EC0026,
   0x38327000,
   0xE60B083F,
   0x38317000,
   0x21008024,
   0x12700A88,
   0x17C00A80,
   0x39B77000,
   0x38327000,
   0x17500A80,
   0x1551C8AC,
   0x05505800,
   0xD55FAFFF,
   0x608D8088,
   0x0779668C,
   0xF07894C0,
   0x60030089,
   0x150D080F,
   0xE77797CF,
   0x11600488,
   0x11190011,
   0x38317000,
   0x38BC7000,
   0x31D8000C,
   0x43803064,
   0x0079E4C0,
   0x600B0096,
   0x1149600C,
   0x11166028,
   0x11190011,
   0x608082CC,
   0x38317000,
   0x01700488,
   0x11190011,
   0x38317000,
   0x117004C8,
   0xA11301D8,
   0x38317000,
   0x38B57000,
   0x1149600C,
   0x11166028,
   0x01176028,
   0x11176038,
   0x11190011,
   0x608082CC,
   0x38317000,
   0x22808008,
   0x2100800C,
   0xA50C0026,
   0x05C00800,
   0x38B57000,
   0xE60B083F,
   0x38327000,
   0x17100A88,
   0x11C00A80,
   0x38317000,
   0x38377000,
   0x11490011,
   0x608082CC,
   0x38317000,
   0x22808008,
   0x2100800C,
   0xA50C0026,
   0x05C00800,
   0x38B57000,
   0x25808060,
   0xE60B083F,
   0x38327000,
   0x22008024,
   0x17100A88,
   0x11C00A80,
   0x38317000,
   0x38377000,
   0x0552C8A8,
   0x05505800,
   0xD55FAFFF,
   0x11600488,
   0x0119400A,
   0x11190011,
   0x38317000,
   0x38387000,
   0x31D80002,
   0x38B57000,
   0x1149600C,
   0x11166028,
   0x11190011,
   0x608082CC,
   0x38317000,
   0x21808010,
   0x22808040,
   0x25008008,
   0x2709800C,
   0xB3EC0026,
   0x38B37000,
   0x0021E000,
   0x630B831F,
   0xE60B083F,
   0x21008014,
   0x22008044,
   0x38B57000,
   0x05700A88,
   0x17C00A80,
   0x39B77000,
   0x0021E000,
   0x608B832E,
   0x38B57000,
   0x11600488,
   0x01174008,
   0x11190011,
   0x38317000,
   0x38BC7000,
   0x31D8000C,
   0x43803064,
   0x1149600C,
   0x11166028,
   0x11176008,
   0x11190011,
   0x13C00808,
   0x13E3E000,
   0x0039E000,
   0x608382CC,
   0x38317000,
   0xB13400D8,
   0x608082CC,
   0x38317000,
   0x22808008,
   0x2100800C,
   0xA50C0026,
   0x05C00800,
   0x38B57000,
   0xE60B083F,
   0x38327000,
   0x17100A88,
   0x11C00A80,
   0x38317000,
   0x38377000,
   0x11600488,
   0x11190011,
   0x38317000,
   0x38BC7000,
   0x31D8000C,
   0x07F00000,
   0x110A0045,
   0x12600488,
   0x12C26808,
   0x11793505,
   0x11200A84,
   0x22008024,
   0x38317000,
   0x2120801C,
   0xE7721240,
   0x077D300F,
   0x11114820,
   0x2021701C,
   0x11100A00,
   0x07193888,
   0x38377000,
   0xD1030200,
   0x012004C0,
   0x38317000,
   0x09B00000,
   0x1BB9600C,
   0x07000000,
   0x3A308000,
   0x17200000,
   0x3A308000,
   0x0772C000,
   0x31B08000,
   0x1771D000,
   0x22008024,
   0x12200808,
   0x1772D000,
   0x1777D820,
   0x1770D800,
   0x077D280F,
   0x11700A00,
   0x30B17000,
   0x0B900000,
   0x1149600C,
   0x11166028,
   0x11190011,
   0x608082CC,
   0x38317000,
   0x22808008,
   0x2100800C,
   0xA50C0026,
   0x05C00800,
   0x38B57000,
   0xE60B083F,
   0x38327000,
   0x17100A88,
   0x11C00A80,
   0x38317000,
   0x38377000,
   0x11600488,
   0x11190011,
   0x38317000,
   0x38BC7000,
   0x31D8000C,
   0x07F00000,
   0x110A0045,
   0x12600488,
   0x12C26808,
   0x11793505,
   0x11200A84,
   0x22008024,
   0x38317000,
   0x2120801C,
   0xE7721240,
   0x077D300F,
   0x11114820,
   0x2021701C,
   0x11100A00,
   0x07193888,
   0x38377000,
   0xC1010100,
   0x012004C0,
   0x38317000,
   0x09B00000,
   0x1BB9600C,
   0x07000000,
   0x3A308000,
   0x17200000,
   0x3A308000,
   0x0772C000,
   0x31B08000,
   0x1771D000,
   0x22008024,
   0x12200808,
   0x1772D000,
   0x1777D820,
   0x1770D800,
   0x077D280F,
   0x11700A00,
   0x30B17000,
   0x0B900000,
   0x1149600C,
   0x11166028,
   0x11190011,
   0x608082CC,
   0x38317000,
   0x25008008,
   0x2709800C,
   0xA2EC0026,
   0x38327000,
   0x16080800,
   0x0000BF40,
   0x11700A88,
   0x17C00A80,
   0x38B57000,
   0x39B77000,
   0x38317000,
   0x11600488,
   0x13A16888,
   0x11600488,
   0x11190011,
   0x38317000,
   0x38387000,
   0x31D80008,
   0x43002064,
   0x0039E006,
   0x608B0182,
   0x04C00808,
   0x01496008,
   0x11166028,
   0x11190011,
   0x608082CC,
   0x38317000,
   0x11396008,
   0x11190011,
   0x38317000,
   0x22008048,
   0x11080000,
   0x31D80001,
   0x38317000,
   0x38327000,
   0x04C00808,
   0x01496001,
   0x11136000,
   0x11166028,
   0x11190011,
   0x608082CC,
   0x38317000,
   0x25008008,
   0x2709800C,
   0xA2EC0026,
   0x38327000,
   0x22008060,
   0x16080800,
   0x0000BF40,
   0x11700A88,
   0x17C00A80,
   0x38B57000,
   0x25808024,
   0x39B77000,
   0x38317000,
   0x07200A80,
   0x1525C8AC,
   0x05505800,
   0xD55FAFFF,
   0x608D81A7,
   0x17796688,
   0xF07894C0,
   0x608301A8,
   0x150D080F,
   0xE77797CF,
   0x11600488,
   0x13A16888,
   0x11600488,
   0x11190011,
   0x38317000,
   0x38387000,
   0x31D80008,
   0x43002064,
   0x0039E006,
   0x608B01C9,
   0x0079E4C0,
   0x600B01BA,
   0x04C00808,
   0x01496008,
   0x11166028,
   0x11190011,
   0x608082CC,
   0x38317000,
   0x01700488,
   0x11190011,
   0x38317000,
   0x117004C8,
   0xA11301D8,
   0x38317000,
   0x38B57000,
   0x04C00808,
   0x01496008,
   0x11166028,
   0x01176028,
   0x11176038,
   0x11190011,
   0x608082CC,
   0x38317000,
   0x11396008,
   0x11190011,
   0x38317000,
   0x22008048,
   0x11080000,
   0x31D80001,
   0x38317000,
   0x0079E4C0,
   0x608B81DA,
   0x38327000,
   0x04C00808,
   0x01496001,
   0x11136000,
   0x11166028,
   0x11190011,
   0x608082CC,
   0x38317000,
   0x01700488,
   0x11194007,
   0x11136000,
   0x11190011,
   0x38317000,
   0x117004C8,
   0xA11301D8,
   0x38317000,
   0x38B57000,
   0x04C00808,
   0x01496008,
   0x11166028,
   0x01176028,
   0x11176038,
   0x11190011,
   0x608082CC,
   0x38317000,
   0x21808010,
   0x22808040,
   0x25008008,
   0x2709800C,
   0xA30C0026,
   0x03C00800,
   0x38B37000,
   0x0021E000,
   0x638B031F,
   0x21008014,
   0x22008044,
   0x060C0800,
   0x0000FF40,
   0x38B57000,
   0x05700A88,
   0x17C00A80,
   0x39B77000,
   0x0021E000,
   0x608B832E,
   0x38B57000,
   0x11490011,
   0x608082CC,
   0x38317000,
   0x22808008,
   0x2100800C,
   0xA50C0026,
   0x05C00800,
   0x38B57000,
   0x060C0800,
   0x0000FF40,
   0x38327000,
   0x17100A88,
   0x11C00A80,
   0x38317000,
   0x38377000,
   0x11490011,
   0x608082CC,
   0x38317000,
   0x22808008,
   0x2100800C,
   0x26008054,
   0xB50E0026,
   0x05C00800,
   0x38B57000,
   0x2500804C,
   0x38327000,
   0x17100A88,
   0x11C00A80,
   0x38317000,
   0x38377000,
   0x02600808,
   0x38327000,
   0x060C0800,
   0x0000FF40,
   0x05594006,
   0x01590011,
   0x38317000,
   0x016004C8,
   0xB11301C8,
   0x38317000,
   0x11456000,
   0x01166038,
   0x11190011,
   0x608082CC,
   0x38317000,
   0x22808008,
   0x2100800C,
   0xA50C0026,
   0x05C00800,
   0x38B57000,
   0x060C0800,
   0x0000FF40,
   0x38327000,
   0x17100A88,
   0x11C00A80,
   0x38317000,
   0x38377000,
   0x11600488,
   0x11190011,
   0x38317000,
   0x38387000,
   0x31D80008,
   0x07F00000,
   0x21008024,
   0x12600488,
   0x12C26808,
   0x122A6028,
   0x121006C0,
   0xE1060700,
   0x17797001,
   0x077A1FF0,
   0x11170A80,
   0x01100004,
   0x38317000,
   0x11200084,
   0xE1030602,
   0x38317000,
   0x01496008,
   0x11166028,
   0x11190011,
   0x608082CC,
   0x38317000,
   0x22808008,
   0x2100800C,
   0xA50C0026,
   0x05C00800,
   0x38B57000,
   0x060C0800,
   0x0000FF40,
   0x38327000,
   0x17100A88,
   0x11C00A80,
   0x38317000,
   0x38377000,
   0x11600488,
   0x11190011,
   0x38317000,
   0x38387000,
   0x31D80008,
   0x07F00000,
   0x21008024,
   0x12600488,
   0x12C26808,
   0x122A6028,
   0x121006C0,
   0xE1060700,
   0x17797001,
   0x077A1FF0,
   0x11170A80,
   0x01100004,
   0x38317000,
   0x11200084,
   0xF1010601,
   0x38317000,
   0x01496008,
   0x11166028,
   0x11190011,
   0x608082CC,
   0x38317000,
   0x22808008,
   0x2100800C,
   0xA50C0026,
   0x05C00800,
   0x38B57000,
   0x07FDB005,
   0x07000F00,
   0x11C00A80,
   0xE60B083F,
   0x38327000,
   0x38317000,
   0x38377000,
   0x11490011,
   0x608082CC,
   0x38317000,
   0x22808008,
   0x2100800C,
   0xA50C0026,
   0x05C00800,
   0x38B57000,
   0x060C0800,
   0x0000FF40,
   0x07FDB005,
   0x07000F00,
   0x11C00A80,
   0x38327000,
   0x38317000,
   0x38377000,
   0x11490011,
   0x608082CC,
   0x38317000,
   0x22808008,
   0x2100800C,
   0x26008054,
   0xB50E0026,
   0x05C00800,
   0x38B57000,
   0x2500804C,
   0x38327000,
   0x17100A88,
   0x11C00A80,
   0x38317000,
   0x38377000,
   0x02600808,
   0x38327000,
   0xE60B083F,
   0x05594006,
   0x01590011,
   0x38317000,
   0x016004C8,
   0xB11301C8,
   0x38317000,
   0x11456000,
   0x01166038,
   0x11190011,
   0x608082CC,
   0x38317000,
   0x22808008,
   0x2100800C,
   0xA50C0026,
   0x05C00800,
   0x38B57000,
   0xF6000800,
   0x07FDB005,
   0x07000F00,
   0x38327000,
   0x17718AA0,
   0x11C00A80,
   0x38317000,
   0x38377000,
   0x11490011,
   0x608082CC,
   0x38317000,
   0x22808008,
   0x2100800C,
   0xA50C0026,
   0x05C00800,
   0x38B57000,
   0xE60B083F,
   0x38327000,
   0x17100A88,
   0x11C00A80,
   0x38317000,
   0x38377000,
   0x11490011,
   0x38317000,
   0x21808004,
   0x2280801C,
   0xE3F41140,
   0x13334150,
   0xBD209030,
   0x600302D7,
   0x03C92603,
   0x03394681,
   0x03391283,
   0x0DDD7002,
   0x13354281,
   0xF111168F,
   0x03310420,
   0x15196002,
   0x15591008,
   0x055D300F,
   0x185A4028,
   0x41003010,
   0x12269690,
   0x12268680,
   0x0039E024,
   0x608182F4,
   0x0D300000,
   0x14D91083,
   0xB1420100,
   0x0039E028,
   0x608182EF,
   0x38317000,
   0x39008000,
   0x3D808000,
   0x38BC7000,
   0x21DE0008,
   0x38317000,
   0x608082F6,
   0x38B57000,
   0x3D808000,
   0x38BC7000,
   0x21DE0004,
   0x608082F6,
   0x38B57000,
   0x38387000,
   0x21060000,
   0xA13F0000,
   0x60808313,
   0x38317000,
   0x21808004,
   0x22808008,
   0x2709800C,
   0xB5EC0026,
   0x38B57000,
   0xF6000800,
   0x38327000,
   0x2280801C,
   0x05700A88,
   0x17C00A80,
   0x39B77000,
   0x38B57000,
   0x13196002,
   0x13391008,
   0x033D300F,
   0x183A4028,
   0x41003010,
   0x12269690,
   0x12268680,
   0x14E00000,
   0xA1400106,
   0x38317000,
   0x05E46A01,
   0x15F00880,
   0xA15F0000,
   0x38317000,
   0x439A0000,
   0xE383E404,
   0x13005000,
   0x1039E001,
   0x60030319,
   0x43804028,
   0x0AA9E401,
   0x6083033C,
   0x90800000,
   0x22808040,
   0x0021E000,
   0x68330000,
   0x002DE00C,
   0x6003031C,
   0x102D9000,
   0x20827010,
   0x608B832E,
   0x0B000000,
   0x71400022,
   0x8328032E,
   0x832C032A,
   0x6080832F,
   0xD4010C6A,
   0x6080832F,
   0xC4010C6B,
   0x6080832F,
   0xD4010C6C,
   0xC4010C6D,
   0x26A08020,
   0x21008000,
   0x22808004,
   0x23008008,
   0x00699481,
   0x60030337,
   0x033997CF,
   0x133687C0,
   0x11444600,
   0xE11887C1,
   0xF22E1680,
   0x60808354,
   0x02240690,
   0x21808010,
   0x22008014,
   0x10199001,
   0x608B0343,
   0x001DE00C,
   0x6083033C,
   0x90800000,
   0x204277FC,
   0x26410000,
   0x21C08014,
   0x22C08018,
   0x20D277FC,
   0x26D10000,
   0x10199001,
   0x600B034D,
   0x6000834E,
   0x0D0A00A0,
   0x1D0A00E0,
   0x110D000F,
   0x30D5EFF8,
   0x30D0E7FC,
   0x30D1C7FC,
   0x90800000,
   0x23008008,
   0x2400800C,
   0x052D700C,
   0x15597501,
   0x1059E444,
   0x6083836E,
   0x1A293004,
   0x15591545,
   0x05556510,
   0x05591443,
   0x05597542,
   0x15591543,
   0x05554410,
   0x06291800,
   0xF66A4880,
   0xD0679F20,
   0x608D8366,
   0x15564418,
   0x155A4010,
   0x065DB00E,
   0x6003036E,
   0x15100800,
   0x11194803,
   0x011D140C,
   0x15156800,
   0x11164800,
   0x06654A00,
   0x0AA91801,
   0x111D1A8E,
   0x17400A88,
   0x04120A81,
   0x010C0A00,
   0x0000C026,
   0x06200880,
   0x160D0700,
   0x60808385,
   0xA51CA120,
   0x23008008,
   0x2400800C,
   0x1A293004,
   0x0AA91801,
   0x111D1A8E,
   0x17400A88,
   0x04120A81,
   0x11080000,
   0xC0260004,
   0x150C0000,
   0x00060004,
   0x06200880,
   0xE60F0A30,
   0x38317000,
   0x38B37000,
   0x38347000,
   0x38377000,
   0x38B57000,
   0xE0289440,
   0x60038399,
   0x38B67000,
   0x24808010,
   0x25808014,
   0x26808018,
   0x2780801C,
   0x00299408,
   0x38347000,
   0x38B57000,
   0x38B67000,
   0x6083839E,
   0x38377000,
   0x43804028,
   0x90800000,
   0x0229940F,
   0x6003039E,
   0x022DB00E,
   0x0889C008,
   0x5B0A0000,
   0x90800000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x42102008,
   0x00007350,
   0x00000000,
   0x42102040,
   0x00007331,
   0x03310331,
   0x20287010,
   0x01000040,
   0x202C7018,
   0x00000001,
   0x80000000,
   0x10000000,
   0x00000000
};

#define ARRAY_ELEMCOUNT(_a)  (sizeof(_a) / sizeof(_a[0]))

/*----------------------------------------------------------------------------
 * FIRMWARE_EIP207_DWLD_OFPP_GetReferences
 *
 * This function returns references to the firmware images required by
 * EIP207 Driver Library.
 */
void
FIRMWARE_EIP207_DWLD_OFPP_GetReferences(
        FIRMWARE_EIP207_DWLD_t * const FW_p)
{
    if (!FW_p)
        return;

    FW_p->Version_MaMiPa = FW_VERSION;
    FW_p->Major = FW_VERSION_MAJOR;
    FW_p->Minor = FW_VERSION_MINOR;
    FW_p->PatchLevel = FW_VERSION_PATCH;
    FW_p->Image_p = FIRMWARE_EIP207_DWLD_OFPP_Image;
    FW_p->WordCount = ARRAY_ELEMCOUNT(FIRMWARE_EIP207_DWLD_OFPP_Image);
}

/* end of file ./firmware_eip207_ofpp.c */

